aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/test.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:30:53 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:30:53 +0100
commitf12bbcf5fbc4b85d352bc14d483fe0764280b1b8 (patch)
tree800b6201446dc92205e7574f7fa90fb6c23ead08 /test/test.sh
parentworkflows/ci: upgrade actions (diff)
downloadvoid-f12bbcf5fbc4b85d352bc14d483fe0764280b1b8.tar.gz
void-f12bbcf5fbc4b85d352bc14d483fe0764280b1b8.zip
fix preludes in bash scripts
Diffstat (limited to 'test/test.sh')
-rwxr-xr-xtest/test.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/test.sh b/test/test.sh
index 90c0a1f..9b1bc14 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -6,6 +6,7 @@
# Distributed under the MIT License.
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"